## universal-indent-gui-tqt 14.1.3

=== debian/changelog ===
universal-indent-gui-tqt (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#universal-indent-gui-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 01 Oct 2024 09:59:08 +0200

universal-indent-gui-tqt (1.2.0-2) unstable; urgency=medium

  * Port to TQt3 and package renaming
  * Initial release for TQt3

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Mon, 16 Jul 2022 16:06:00 +0900

universalindentgui (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for new qscintilla2 library names (Closes: #885647)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 04 Jan 2018 07:06:09 -0500

universalindentgui (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Drop 02_fix_gcc_4.5_build.patch - merged upstream.
  * Update debian/contol:
    - bump debhelper to 9.
    - bump Standards-Version to 3.9.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Tue, 22 May 2012 08:49:27 +0300

universalindentgui (1.1.0-2) unstable; urgency=low

  * Add 02_fix_gcc_4.5_build.patch (Closes: #565043)

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 Feb 2011 12:21:21 +0200

universalindentgui (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump quilt and debhelper build-dependency versions.
    - Bump Standards-Version to 3.8.3 (no changes needed).
  * Convert debian/rules to dh usage.
  * Rename debian/universalindentgui.lintian to
    debian/universalindentgui.lintian-overrides for dh_lintian usage.
  * Add debian/README.source file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 20 Aug 2009 13:41:45 +0200

universalindentgui (1.0.2-1) unstable; urgency=low

  * New upstream release:
    - The default editor font type is now Monospace instead of Courier.
      (Closes: #483873)
  * Add 01_disable_check_for_update.diff patch:
    Automatic check for update is disabled by default. (Closes: #514999)
  * Bump debian/compat to 7.
  * Update debian/control:
    - Set Thomas Schweitzer as maintainer and myself as uploader.
      (Closes: #483068)
    - Bump debhelper build-dependency to 7.
    - Bump Standards-Version to 3.8.1. No changes needed.
    - Update recommended beautifier list.
    - Update description to list all supported beautifiers.
  * Update debian/copyright:
    - Add PerlTidy.pm and JsDecoder.js missing copyrights.
  * Cleanup debian/rules.

 -- Fathi Boudra <fabo@debian.org>  Wed, 29 Apr 2009 10:50:58 +0200

universalindentgui (0.8.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid symlink attacks by using mkdtemp (Closes: 504726)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 12 Nov 2008 01:34:23 +0200

universalindentgui (0.8.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * urgency high since universalindentgui is actually useless by default
    (can be hacked to work by setting TMPDIR='/tmp/a')
  * fixed temporary path asamblation so indents can work
    (Closes: 486577)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 05 Nov 2008 03:51:48 +0200

universalindentgui (0.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Do not delete perltidy as it's no longer shipped
  * debian/rules: Cleanup extended

 -- Sebastian Pipping <webmaster@hartwork.org>  Wed, 02 April 2008 04:45:00 +0100

universalindentgui (0.8.0-1) unstable; urgency=low

  * Initial release (Closes: #459671)
  * Add man page missing in release archive (svn revision 603 plus fixes)

 -- Sebastian Pipping <webmaster@hartwork.org>  Tue, 08 Jan 2008 15:13:53 +0100

## universal-indent-gui-tqt 14.2.0~pre61

=== icons/CMakeLists.txt ===
install(
  FILES
    accessories-text-editor.png
    applications-system.png
    document-open.png
    document-save.png
    document-save-as.png
    edit-clear.png
    exporthtml.png
    exportpdf.png
    help.png
    info.png
    language-de.png
    language-en.png
    language-fr.png
    language-ja.png
    language-ru.png
    language-uk.png
    language-zh_TW.png
    live-preview.png
    load_indent_cfg.png
    preferences-system.png
    save_indent_cfg.png
    shell.png
    syntax-highlight.png
    system-log-out.png
    tooltip.png
    universalIndentGUI.ico
    universalIndentGUI.svg
    universalIndentGUI_32x32.xpm
    universalIndentGUI_64x64.png
    universalIndentGUI_512x512.png
    view-refresh.png
  DESTINATION ${SHARE_INSTALL_PREFIX}/universal-indent-gui-tqt/icons
)

## universal-indent-gui-tqt 14.1.4

=== debian/changelog ===
universal-indent-gui-tqt (4:14.1.4-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#universal-indent-gui-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: universal-indent-gui-tqt
Section: devel
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Thomas Schweitzer <thomas-schweitzer@arcor.de>
XSBC-Original-Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libtqscintilla-dev
Standards-Version: 3.9.3

Package: universal-indent-gui-tqt
Architecture: any
Depends: ${shlibs:Depends}
Suggests: astyle, bcpp, csstidy, hindent, indent, perltidy, tidy, uncrustify, xmlindent
Description: GUI frontend for several code beautifiers
 UniversalIndentGui is a GUI fontend for several code beautifiers, currently
 supporting:
  * Artistic Styler
  * BCPP
  * Cobol Beautify
  * CSSTidy
  * Fortran 90 PPR
  * GNU Indent
  * GreatCode
  * hindent
  * HTB
  * Javascript Decoder
  * JSPPP
  * Perl Tidy
  * PHP_Beautifier
  * PHP Code Beautifier
  * PHP Stylist
  * pindent
  * Ruby Beautify
  * Ruby Formatter
  * Shell Indent
  * (HTML) Tidy
  * Uncrustify
  * XML Indent
 .
 UniversalIndentGui allows you to tune a beautifier's configuration and see
 how the changes affects a source example live. It is especially useful to
 compare different C/C++ beautifiers when you have to choose one of them.

## universal-indent-gui-tqt 14.1.5~pre2

=== debian/changelog ===
universal-indent-gui-tqt (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ddd09d7b57906d6f0d65544cc243cf5e858f153a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#universal-indent-gui-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## universal-indent-gui-tqt 14.1.5

=== debian/changelog ===
universal-indent-gui-tqt (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#universal-indent-gui-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Thomas Schweitzer <thomas-schweitzer@arcor.de>
 XSBC-Original-Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libtqscintilla-dev
+Build-Depends: tde-cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libtqscintilla-dev
 Standards-Version: 3.9.3
 
 Package: universal-indent-gui-tqt

## universal-indent-gui-tqt 14.1.6~pre0

=== debian/changelog ===
universal-indent-gui-tqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ddd09d7b57906d6f0d65544cc243cf5e858f153a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#universal-indent-gui-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## universal-indent-gui-tqt 14.1.6~pre1

=== debian/changelog ===
universal-indent-gui-tqt (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9da91d8498a2e04f9703f781def73f64ea31c068
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#universal-indent-gui-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:33:37 +0100

## universal-indent-gui-tqt 14.2.0~pre61

=== debian/changelog ===
universal-indent-gui-tqt (4:14.2.0~pre61-0debian14.0.0+6~a) forky; urgency=low

  * Automated git build for 020682b6bb579f36949ad4addbe4b200bcc27aa8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#universal-indent-gui-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Thomas Schweitzer <thomas-schweitzer@arcor.de>
 XSBC-Original-Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: tde-cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libtqscintilla-dev
+Build-Depends: tde-cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, libtqscintilla-dev
 Standards-Version: 3.9.3
 
 Package: universal-indent-gui-tqt

## universal-indent-gui-tqt 14.2.0~pre62

=== debian/changelog ===
universal-indent-gui-tqt (4:14.2.0~pre62-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 3550401b82fe0aaaa2b9f6a7db9ff6eb8c838b30
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#universal-indent-gui-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Feb 2026 20:08:02 +0100
